<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.jgroups.channel">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="stack,module,cluster,statistics-enabled,stats-enabled"/>
        <elem name="addr-params" value="profile,subsystem,channel"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jgroups"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.group.$channel"/>
        <capability name="$profile.org.wildfly.clustering.jgroups.channel-module.$channel"/>
        <capability name="$profile.org.wildfly.clustering.command-dispatcher-factory.$channel"/>
        <capability name="$profile.org.wildfly.clustering.jgroups.channel-source.$channel"/>
        <capability name="$profile.org.wildfly.clustering.jgroups.channel.$channel"/>
        <capability name="$profile.org.wildfly.clustering.jgroups.channel-factory.$channel"/>
        <capability name="$profile.org.wildfly.clustering.node-factory.$channel"/>
        <capability name="$profile.org.wildfly.clustering.jgroups.channel-cluster.$channel"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.jgroups.channel-factory.$stack"/>
    </requires>
    <refs>
        <ref feature="subsystem.jgroups"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="cluster" nillable="true"/>
        <param name="stack"/>
        <param name="module" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="channel" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="jgroups"/>
        <param name="statistics-enabled" nillable="true"/>
        <param name="stats-enabled" nillable="true"/>
    </params>
</feature-spec>